Permalink
Browse files

Update to Rails ~> 3.1.1 and Sequel ~> 3.28.0, drop jeweler

  • Loading branch information...
1 parent b2897ba commit 4e6025330f093bd7a3fc9e907dec9a90688755a8 @JonathanTron JonathanTron committed Oct 29, 2011
Showing with 106 additions and 137 deletions.
  1. +2 −20 Gemfile
  2. +72 −0 Gemfile.lock
  3. +3 −29 Rakefile
  4. +5 −0 lib/sequel-rails/version.rb
  5. +24 −88 sequel-rails.gemspec
View
22 Gemfile
@@ -1,21 +1,3 @@
-source 'http://rubygems.org'
+source "http://rubygems.org"
-gem 'rake', '~> 0.8.7'
-gem 'jeweler', '~> 1.4'
-gem 'yard', '~> 0.5'
-
-git 'git://github.com/rails/rails.git' do
-
- gem 'activesupport', '~> 3.0.0.beta3', :require => 'active_support'
- gem 'actionpack', '~> 3.0.0.beta3', :require => 'action_pack'
- gem 'railties', '~> 3.0.0.beta3', :require => 'rails'
-
-end
-
-gem 'sequel', '~> 3.11.0'
-
-group :test do
- gem 'rspec'
- gem 'autotest'
- gem 'rcov'
-end
+gemspec
View
@@ -0,0 +1,72 @@
+PATH
+ remote: .
+ specs:
+ sequel-rails (0.2.0)
+ actionpack (~> 3.1.1)
+ activesupport (~> 3.1.1)
+ sequel (~> 3.28.0)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ ZenTest (4.6.2)
+ actionpack (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ erubis (~> 2.7.0)
+ i18n (~> 0.6)
+ rack (~> 1.3.2)
+ rack-cache (~> 1.1)
+ rack-mount (~> 0.8.2)
+ rack-test (~> 0.6.1)
+ sprockets (~> 2.0.2)
+ activemodel (3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ i18n (~> 0.6)
+ activesupport (3.1.1)
+ multi_json (~> 1.0)
+ autotest (4.4.6)
+ ZenTest (>= 4.4.1)
+ builder (3.0.0)
+ diff-lcs (1.1.3)
+ erubis (2.7.0)
+ hike (1.2.1)
+ i18n (0.6.0)
+ multi_json (1.0.3)
+ rack (1.3.5)
+ rack-cache (1.1)
+ rack (>= 0.4)
+ rack-mount (0.8.3)
+ rack (>= 1.0.0)
+ rack-test (0.6.1)
+ rack (>= 1.0)
+ rake (0.8.7)
+ rcov (0.9.11)
+ rspec (2.6.0)
+ rspec-core (~> 2.6.0)
+ rspec-expectations (~> 2.6.0)
+ rspec-mocks (~> 2.6.0)
+ rspec-core (2.6.4)
+ rspec-expectations (2.6.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.6.0)
+ sequel (3.28.0)
+ sprockets (2.0.3)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (~> 1.1, != 1.3.0)
+ tilt (1.3.3)
+ yard (0.7.3)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ autotest (~> 4.4.6)
+ rake (~> 0.8.7)
+ rcov (~> 0.9.11)
+ rspec (~> 2.6.0)
+ sequel-rails!
+ yard (~> 0.5)
View
@@ -1,33 +1,7 @@
-require 'rubygems'
-require 'rake'
-
begin
-
- require 'jeweler'
-
- Jeweler::Tasks.new do |gem|
-
- gem.name = 'sequel-rails'
- gem.summary = 'Use Sequel with Rails 3'
- gem.description = 'Integrate Sequel with Rails 3'
- gem.email = 'brasten@gmail.com'
- gem.homepage = 'http://github.com/brasten/sequel-rails'
- gem.authors = [ 'Brasten Sager (brasten)' ]
-
- gem.add_dependency 'sequel', '~> 3.13'
-
- gem.add_dependency 'activesupport', '~> 3.0.0.rc'
- gem.add_dependency 'actionpack', '~> 3.0.0.rc'
- gem.add_dependency 'railties', '~> 3.0.0.rc'
-
- # gem.add_development_dependency 'yard', '~> 0.5'
-
- end
-
- Jeweler::GemcutterTasks.new
-
+ require 'bundler'
+ Bundler::GemHelper.install_tasks
FileList['tasks/**/*.rake'].each { |task| import task }
-
rescue LoadError
- puts 'Jeweler (or a dependency) not available. Install it with: gem install jeweler'
+ puts 'Bundler or a dependency is not installed, install them with: gem install bundler && bundle install'
end
@@ -0,0 +1,5 @@
+module Rails
+ module Sequel
+ VERSION = "0.2.0"
+ end
+end
View
@@ -1,93 +1,29 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "sequel-rails/version"
Gem::Specification.new do |s|
- s.name = %q{sequel-rails}
- s.version = "0.1.7"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Brasten Sager (brasten)"]
- s.date = %q{2010-08-11}
- s.description = %q{Integrate Sequel with Rails 3}
- s.email = %q{brasten@gmail.com}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.rdoc"
- ]
- s.files = [
- ".document",
- ".gitignore",
- "CHANGELOG",
- "Gemfile",
- "LICENSE",
- "README.rdoc",
- "Rakefile",
- "VERSION",
- "autotest/discover.rb",
- "lib/generators/sequel.rb",
- "lib/generators/sequel/migration/migration_generator.rb",
- "lib/generators/sequel/migration/templates/migration.rb",
- "lib/generators/sequel/model/model_generator.rb",
- "lib/generators/sequel/model/templates/model.rb",
- "lib/generators/sequel/observer/observer_generator.rb",
- "lib/generators/sequel/observer/templates/observer.rb",
- "lib/sequel-rails.rb",
- "lib/sequel-rails/configuration.rb",
- "lib/sequel-rails/migrations.rb",
- "lib/sequel-rails/railtie.rb",
- "lib/sequel-rails/railties/benchmarking_mixin.rb",
- "lib/sequel-rails/railties/controller_runtime.rb",
- "lib/sequel-rails/railties/database.rake",
- "lib/sequel-rails/railties/i18n_support.rb",
- "lib/sequel-rails/railties/log_subscriber.rb",
- "lib/sequel-rails/runtime.rb",
- "lib/sequel-rails/session_store.rb",
- "lib/sequel-rails/setup.rb",
- "lib/sequel-rails/storage.rb",
- "sequel-rails.gemspec",
- "spec/rcov.opts",
- "spec/setup_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb",
- "tasks/ci.rake",
- "tasks/clean.rake",
- "tasks/metrics.rake",
- "tasks/spec.rake",
- "tasks/yard.rake",
- "tasks/yardstick.rake"
- ]
- s.homepage = %q{http://github.com/brasten/sequel-rails}
- s.rdoc_options = ["--charset=UTF-8"]
+ s.name = "sequel-rails"
+ s.version = Rails::Sequel::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Brasten Sager (brasten)", "Jonathan TRON"]
+ s.email = ["brasten@gmail.com", "jonathan.tron@thetalentbox.com"]
+ s.homepage = "https://github.com/TalentBox/sequel-rails"
+ s.description = "Integrate Sequel with Rails 3"
+ s.summary = "Use Sequel with Rails 3"
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.6}
- s.summary = %q{Use Sequel with Rails 3}
- s.test_files = [
- "spec/setup_spec.rb",
- "spec/spec_helper.rb"
- ]
-
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<sequel>, ["~> 3.13"])
- s.add_runtime_dependency(%q<activesupport>, ["~> 3.0.0.rc"])
- s.add_runtime_dependency(%q<actionpack>, ["~> 3.0.0.rc"])
- s.add_runtime_dependency(%q<railties>, ["~> 3.0.0.rc"])
- else
- s.add_dependency(%q<sequel>, ["~> 3.13"])
- s.add_dependency(%q<activesupport>, ["~> 3.0.0.rc"])
- s.add_dependency(%q<actionpack>, ["~> 3.0.0.rc"])
- s.add_dependency(%q<railties>, ["~> 3.0.0.rc"])
- end
- else
- s.add_dependency(%q<sequel>, ["~> 3.13"])
- s.add_dependency(%q<activesupport>, ["~> 3.0.0.rc"])
- s.add_dependency(%q<actionpack>, ["~> 3.0.0.rc"])
- s.add_dependency(%q<railties>, ["~> 3.0.0.rc"])
- end
-end
+ s.extra_rdoc_files = ["LICENSE", "README.rdoc"]
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.add_runtime_dependency("sequel", ["~> 3.28.0"])
+ s.add_runtime_dependency("activesupport", ["~> 3.1.1"])
+ s.add_runtime_dependency("actionpack", ["~> 3.1.1"])
+ s.add_development_dependency("rake", ["~> 0.8.7"])
+ s.add_development_dependency("yard", ["~> 0.5"])
+ s.add_development_dependency("rspec", ["~> 2.6.0"])
+ s.add_development_dependency("autotest", ["~> 4.4.6"])
+ s.add_development_dependency("rcov", ["~> 0.9.11"])
+end

0 comments on commit 4e60253

Please sign in to comment.